API reference · Frame analysis

Analysis of all faces from selfie image

POST/omni/frame-analysis/analyze

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Authenticate users by comparing base64 image from request and user's existing face templates. Each face from the image is analyzed, and relevant attributes are extracted. In case of failure, error description is returned.

Path & query parameters

Name In Type Required Description
api-version header string yes

Request body

Field Type Required Description
base64Image string yes Base64 representation of image.
videoRef string Reference of video from which frame is extracted.
frameRef string Reference of frame that should be analyzed.

Responses

200

OK

Response body (application/json):

Field Type Required Description
identities array[AnalyzedIdentityDto] List of identities analyzed from input base64image.
identities.identityId string Id of recognized customer.
identities.estimatedAge integer (int32) Estimated age based on extracted face.
identities.error FrameAnalysisErrorDto Error name. Possible error names are: LENSES_DETECTED, FACE_MASK_DETECTED, HEAD_COVER_DETECTED, CLOSED_EYES_DETECTED, SPOOF_ATTEMPT_DETECTED, USER_IS_NOT_RECOGNIZED
identities.error.name string
videoRef string Reference of video from which frame is extracted.
frameRef string Reference of frame that is analyzed.
error FrameAnalysisErrorDto Error name. Possible error name is: FACE_EXTRACTION_FAILED
error.name string
Was this page helpful?